export default class DebounceThrottle {
  constructor() {
    this.blockDebounce = false
    this.throttleTimeout = 0
  }

  debounce(fn, time) {
    if (this.blockDebounce) {
      return
    }

    this.blockDebounce = true
    setTimeout(() => {
      this.blockDebounce = false
      fn()
    }, time)
  }

  throttle(fn, time) {
    window.clearTimeout(this.throttleTimeout)
    this.throttleTimeout = window.setTimeout(() => {
      fn()
    }, time)
  }
}
