#!/usr/bin/env node

const express  = require('express')
const http  = require('http')
const path  = require('path')
const socketIO  = require('socket.io')

const PORT = process.argv[2]
const app = express()
const server = http.createServer(app)
const io = socketIO(server)

io.on('connection', (client) => {
  console.log('Client connected')
  client.on('sendTree', (data) => {
    io.emit('treeFromServer', data)
  })
})

app.use(express.static(path.join(__dirname, '/dist')));

app.get('/*', (_, res) =>{
  res.sendFile("index.html", {root: path.join(__dirname, '/dist')});
});

server.listen(PORT, () => {
  console.log(`react-component-tree is listening on port ${PORT}`)
})
